import { PaginatedSerializationClass, SerializationClass } from '@humand-packages/common';
import { TimeTrackingDaySummaryApi } from '../../business/models/daySummary';
import { TimeTrackingDaySummaryDTO } from '../dtos/timeTrackingDaySummaryDTO';

export class TimeTrackingDaySummaryApiSC extends PaginatedSerializationClass<TimeTrackingDaySummaryApi, TimeTrackingDaySummaryApi> {
    serialize(serializableObject: TimeTrackingDaySummaryApi): TimeTrackingDaySummaryApi {
        return serializableObject;
    }
}

export class TimeTrackingDaySummarySC extends SerializationClass<TimeTrackingDaySummaryDTO, TimeTrackingDaySummaryDTO> {
    serialize(serializableObject: TimeTrackingDaySummaryDTO): TimeTrackingDaySummaryDTO {
        return serializableObject;
    }
}
